Issue47

Title fatal error: __helpers.hpp: No such file or directory
Priority bug Status resolved
Superseder Nosy List ilya1725, kayhayen
Assigned To kayhayen Keywords

Created on 2012-10-04.17:20:57 by ilya1725, last changed by kayhayen.

Messages
msg138 (view) Author: kayhayen Date: 2012-11-12.07:01:41
Released as part of 0.3.25.
msg134 (view) Author: kayhayen Date: 2012-10-25.05:34:33
Changed "--g++-only" to "--c++-only" to make it more general.

Also now the absence of source code is properly detected and an error message is 
given by Nuitka already.

Will be in next release, not really worth a hotfix, is it.
msg129 (view) Author: kayhayen Date: 2012-10-05.13:37:45
Hello,

I believe the option "--g++-only" made you potentially think that it is 
selecting the compiler, but it is not. It's only good if you previously had 
Nuitka generate C++ source code, then it won't do it again and call the C++ 
compiler to link it.

It's mainly for debugging or testing enhancement on code generation, you 
shouldn't use it.

I will admit, it's not well named. 

Also, when you compile a directory, it will compile the package if it is one, or 
look for the __main__.py if there is one, but I suspect that is not what you 
were trying to do, were you? You would have to compile them individually and 
specifiy "--exe" for each.

So, for one, I will take the opportunity, and consider if "g++-only" should be 
available outside of development checkouts, at minimum I shall detect the 
situation, and raise a proper error message.

Yours,
Kay
msg128 (view) Author: ilya1725 Date: 2012-10-04.17:20:57
Just installed new 0.3.24.1
Keep getting this error:

ilya@ilya-UBVM:~/Documents/Nuitka-0.3.24.1/bin$ ./nuitka --g++-only ~/share/scripts/
In file included from
/home/ilya/Documents/Nuitka-0.3.24.1/nuitka/build/include/nuitka/prelude.hpp:130:0,
                 from
/home/ilya/Documents/Nuitka-0.3.24.1/nuitka/build/static_src/CompiledFunctionType.cpp:19:
/home/ilya/Documents/Nuitka-0.3.24.1/nuitka/build/include/nuitka/helpers.hpp:66:25:
fatal error: __helpers.hpp: No such file or directory
compilation terminated.
scons: *** [scripts.build/static/CompiledFunctionType.os] Error 1
ilya@ilya-UBVM:~/Documents/Nuitka-0.3.24.1/bin$ less
/home/ilya/Documents/Nuitka-0.3.24.1/nuitka/build/include/nuitka/helpers.hpp
History
Date User Action Args
2012-11-12 07:01:41kayhayensetstatus: testing -> resolved
messages: + msg138
2012-10-25 05:34:33kayhayensetstatus: chatting -> testing
messages: + msg134
2012-10-05 13:37:45kayhayensetstatus: unread -> chatting
assignedto: kayhayen
messages: + msg129
nosy: + kayhayen
2012-10-04 17:20:57ilya1725create